global LAtarg1, LAtarg2, LA, ctrl1, ctrl2, crtLookat
global txt = "d1 = distance ME.pos LAtarg1.pos\n d2 = distance ME.pos LAtarg2.pos\n dtot = d1+d2\n"
global txt1 = txt + "(d2*100)/dtot" 
global txt2 = txt + "(d1*100)/dtot"

Rollout LAControl "Scripted Look-At Constraint Assignment"
(
	group "Select Objects"
	(	
		 label selL "First Select All Objects to receive constraint..."
		 pickbutton targ1 "Pick Look-At Target 1"
		 pickbutton targ2 "Pick Look-At Target 2" enabled:false
	)
	
	button doit "Assign the Constraint" enabled:false
	--To be added: radiobuttons LAaxis "Adjust Look-At Axis"
	on targ1 picked obj do
	(
		if obj != undefined then
		( 
			LAtarg1 = obj
			targ1.text = LAtarg1.name
			targ2.enabled = true
			doit.enabled = true
		)
		else
		(
			targ1.text ="Pick Look-At Target 1"
			targ2.enabled = false
			doit.enabled = false
		 )
	)
	 
	on targ2 picked obj do
	(
		if obj != undefined then 
		(
			 LAtarg2 = obj 
			 targ2.text = LAtarg2.name
		)
		else targ2.text ="Pick Look-At Target 2"
	)
	
	function crtLookAt =
	(
		LA = LookAt_Constraint()
		if LAtarg1 != undefined then LA.appendTarget LAtarg1 50.00
		if LAtarg2 != undefined then LA.appendTarget LAtarg2 50.00
			
		ctrl1 = float_script() --weight target 1
		ctrl2= float_script()  --weight target 2
		
		ctrl1.addNode "LAtarg1" LAtarg1
		ctrl1.addNode "LAtarg2" LAtarg2
		ctrl2.addNode"LAtarg1" LAtarg1
		ctrl2.addNode"LAtarg2" LAtarg2
		
		LA.weight[1].controller = ctrl1
		LA.weight[2].controller = ctrl2
	)
	
	on doit pressed do
	(
		if selection.count != 0 then 
		(
			sel = selection as array
			for i in 1 to sel.count do 
			(
				crtLookAt()
				ctrl1.addNode"ME" sel[i]
				ctrl2.addNode"ME" sel[i]
				ctrl1.setExpression txt1
				ctrl2.setExpression txt2
				sel[i].rotation.controller = LA
			)
		)
		else messagebox "Dude, You Gotta Select Something to Receive the Look-At Constraint"
	)
)
NR = NewRolloutFloater "Bisector 2.1" 266 160
AddRollout LAControl NR